{"openapi":"3.0.3","info":{"title":"API for Centoweb4","description":"# Authentication\n                    Obtenir le token d'authentification :  \n                    `POST : \/api\/login_check`  \n                    `{  \n                        \"username\" : exampleusername,  \n                        \"password\" : examplepassword  \n                    }`\n        Le header doit \u00eatre la forme :   \n        `Authorization : Bearer token`  \n        token correspond au token r\u00e9cup\u00e9r\u00e9 par la requ\u00eate pr\u00e9c\u00e8dente ","version":"1.0"},"servers":[{"url":"\/","description":""}],"paths":{"\/api\/a_p_n_configurations":{"get":{"operationId":"getAPNConfigurationCollection","tags":["APNConfiguration"],"responses":{"200":{"description":"APNConfiguration collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/APNConfiguration"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/APNConfiguration"}}}}}},"summary":"Retrieves the collection of APNConfiguration resources.","description":"Retrieves the collection of APNConfiguration resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"postAPNConfigurationCollection","tags":["APNConfiguration"],"responses":{"201":{"description":"APNConfiguration resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}}},"links":{"GetAPNConfigurationItem":{"operationId":"getAPNConfigurationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/a_p_n_configurations\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Creates a APNConfiguration resource.","description":"Creates a APNConfiguration resource.","parameters":[],"requestBody":{"description":"The new APNConfiguration resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/a_p_n_configurations\/{id}":{"get":{"operationId":"getAPNConfigurationItem","tags":["APNConfiguration"],"responses":{"200":{"description":"APNConfiguration resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a APNConfiguration resource.","description":"Retrieves a APNConfiguration resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putAPNConfigurationItem","tags":["APNConfiguration"],"responses":{"200":{"description":"APNConfiguration resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}}},"links":{"GetAPNConfigurationItem":{"operationId":"getAPNConfigurationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/a_p_n_configurations\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Replaces the APNConfiguration resource.","description":"Replaces the APNConfiguration resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated APNConfiguration resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteAPNConfigurationItem","tags":["APNConfiguration"],"responses":{"204":{"description":"APNConfiguration resource deleted"},"404":{"description":"Resource not found"}},"summary":"Removes the APNConfiguration resource.","description":"Removes the APNConfiguration resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"patch":{"operationId":"patchAPNConfigurationItem","tags":["APNConfiguration"],"responses":{"200":{"description":"APNConfiguration resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}}},"links":{"GetAPNConfigurationItem":{"operationId":"getAPNConfigurationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/a_p_n_configurations\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Updates the APNConfiguration resource.","description":"Updates the APNConfiguration resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated APNConfiguration resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/actualities":{"get":{"operationId":"getActualityCollection","tags":["Actuality"],"responses":{"200":{"description":"Actuality collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Actuality"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Actuality"}}}}}},"summary":"Liste des actualit\u00e9s","description":"Liste des actualit\u00e9s","parameters":[],"deprecated":false},"parameters":[]},"\/api\/actualities\/{id}":{"get":{"operationId":"getActualityItem","tags":["Actuality"],"responses":{"200":{"description":"Actuality resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Actuality"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Actuality"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une playlist","description":"Information concernant une playlist","parameters":[{"name":"id","in":"path","description":"id de l'actuality","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/actus_index":{"get":{"operationId":"getActusIndexActualityCollection","tags":["Actuality"],"responses":{"200":{"description":"Actuality collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Actuality"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Actuality"}}}}}},"summary":"Liste des actualit\u00e9s de l'index","description":"Liste des actualit\u00e9s de l'index","parameters":[],"deprecated":false},"parameters":[]},"\/api\/add_model_to_frame\/{frame_id}\/{model_id}":{"post":{"operationId":"addModelToFrameFrameCollection","tags":["Frame"],"responses":{"201":{"description":"Frame resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Frame"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Frame"}}},"links":{"GetFrameItem":{"operationId":"getFrameItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/frames\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Ajouter un mod\u00e8le sur une page","description":"Ajouter un mod\u00e8le sur une page","parameters":[{"name":"frame_id","in":"path","description":"id de la frame","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false},{"name":"model_id","in":"path","description":"id du model","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The new Frame resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Frame"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Frame"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/animations":{"get":{"operationId":"getAnimationCollection","tags":["Animation"],"responses":{"200":{"description":"Animation collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Animation"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Animation"}}}}}},"summary":"Liste des animations","description":"Liste des animations","parameters":[],"deprecated":false},"parameters":[]},"\/api\/animations\/{id}":{"get":{"operationId":"getAnimationItem","tags":["Animation"],"responses":{"200":{"description":"Animation resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Animation"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Animation"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une animation","description":"Information concernant une animation","parameters":[{"name":"id","in":"path","description":"id de l'animation","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/api_configuration_user":{"get":{"operationId":"getConfigurationOfUserApiConfigurationCollection","tags":["ApiConfiguration"],"responses":{"200":{"description":"ApiConfiguration collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/ApiConfiguration-api_conf...read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/ApiConfiguration-api_conf...read"}}}}}},"summary":"Api config de l'utilisateur","description":"Api config de l'utilisateur","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/api_configurations":{"get":{"operationId":"getApiConfigurationCollection","tags":["ApiConfiguration"],"responses":{"200":{"description":"ApiConfiguration collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/ApiConfiguration-api_conf...read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/ApiConfiguration-api_conf...read"}}}}}},"summary":"Information sur l'application","description":"Information sur l'application","parameters":[],"deprecated":false},"parameters":[]},"\/api\/api_configurations\/{id}":{"get":{"operationId":"getApiConfigurationItem","tags":["ApiConfiguration"],"responses":{"200":{"description":"ApiConfiguration resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ApiConfiguration-api_conf...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ApiConfiguration-api_conf...read"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une appli","description":"Detail d'une appli","parameters":[{"name":"id","in":"path","description":"id de l'appli'","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/application_videos":{"get":{"operationId":"getApplicationVideoCollection","tags":["ApplicationVideo"],"responses":{"200":{"description":"ApplicationVideo collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/ApplicationVideo"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/ApplicationVideo"}}}}}},"summary":"Liste des vid\u00e9os de veille","description":"Liste des vid\u00e9os de veille disponibles pour les applications","parameters":[],"deprecated":false},"post":{"operationId":"postApplicationVideoCollection","tags":["ApplicationVideo"],"responses":{"201":{"description":"ApplicationVideo resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ApplicationVideo"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ApplicationVideo"}}},"links":{"GetApplicationVideoItem":{"operationId":"getApplicationVideoItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/application_videos\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Ajout d'une vid\u00e9o de veille","description":"Ajout d'une vid\u00e9o de veille pour une application borne","parameters":[],"requestBody":{"description":"The new ApplicationVideo resource","content":{"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/ApplicationVideo"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/application_videos\/{id}":{"get":{"operationId":"getApplicationVideoItem","tags":["ApplicationVideo"],"responses":{"200":{"description":"ApplicationVideo resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ApplicationVideo"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ApplicationVideo"}}}},"404":{"description":"Resource not found"}},"summary":"Information concernant une vid\u00e9o de veille","description":"Information concernant une vid\u00e9o de veille","parameters":[{"name":"id","in":"path","description":"id de la vid\u00e9o de veille","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"delete":{"operationId":"deleteApplicationVideoItem","tags":["ApplicationVideo"],"responses":{"204":{"description":"ApplicationVideo resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'une vid\u00e9o de veille","description":"Suppression d'une vid\u00e9o de veille","parameters":[{"name":"id","in":"path","description":"id de la vid\u00e9o de veille","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/applications":{"get":{"operationId":"getApplicationCollection","tags":["Application"],"responses":{"200":{"description":"Application collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Application-application...read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Application-application...read"}}}}}},"summary":"Information sur l'application","description":"Information sur l'application","parameters":[{"name":"key","in":"query","description":"Filter using a key to find applications","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[name]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"postApplicationCollection","tags":["Application"],"responses":{"201":{"description":"Application resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Application-application...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Application-application...read"}}},"links":{"GetApplicationItem":{"operationId":"getApplicationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/applications\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'une application","description":"Cr\u00e9ation d'une application","parameters":[],"requestBody":{"description":"The new Application resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Application-application...post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Application-application...post"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/applications\/get_config\/{token}":{"get":{"operationId":"getConfigApplicationCollection","tags":["Application"],"responses":{"200":{"description":"Configuration de l'application","content":{"application\/json":{"schema":{"type":"object","description":"Application Kiosk : format ci-dessous (exemple abr\u00e9g\u00e9, valeurs fictives). Autres types : l'application s\u00e9rialis\u00e9e.","example":{"schemaVersion":2,"application":{"id":12,"name":"Exemple-les-Bains","applicationType":"Kiosk","urlWebsite":"https:\/\/www.exemple.fr","allowedFeatures":["Signalement"],"tokenApplication":"token-de-l-application","contactEmail":"contact@exemple.fr","smallClient":{"id":3,"city":"Exemple-les-Bains","longitude":"2.667","latitude":"50.483","sendNotif":true,"periodNotif":24},"bornes":[],"colorBackground":"#158aff","banner":{"id":1,"path":"\/resources\/imagesApplication\/banniere.jpg"},"logo":{"id":2,"path":"\/resources\/imagesApplication\/logo.png"},"kioskBackground":{"id":3,"path":"\/resources\/imagesApplication\/fond.png"},"kioskLandscape":false,"pollingIntervalSeconds":900,"nbDeviceFav":null,"sleepModeEnabled":true,"sleepModeDelay":60,"sleepModeType":"images","sleepModeHtmlUrl":null,"sleepModeVideo":null,"sleepModeShowInfoOverlay":false,"sleepModeCustomBackground":null,"sleepModeSlideshowInterval":5,"orientation":"portrait","screen":{"width":1080,"height":1920}},"theme":{"variant":"glass","fontFamily":"\"Outfit\", sans-serif","colors":{"background":"#0B0F1AFF","surface":"#FFFFFFFF","textTitle":"#FFFFFFFF","textPrimary":"#FFFFFFFF","textSecondary":"#E5E5E5FF","textInverse":"#FFFFFFFF","overline":"#FFB86BFF","border":"#FFFFFF40","languageFr":"#14141CFF","languageEn":"#14141CFF","languageNl":"#14141CFF","accessibilityZoom":"#14141CFF","accessibilityLower":"#14141CFF","iconMap":"#2D6CDFFF"},"shapes":{"tileRadius":18,"tileSpacing":20,"tileBorderWidth":1,"buttonRadius":18},"tileColors":["#14141CFF","#14141CFF","#14141CFF","#14141CFF"],"tileColorDefault":"#2D6CDFFF","tiles":{"NewsTile":{"fill":{"type":"transparent"},"shadow":{"color":"#0000001F","x":0,"y":8,"blur":16},"blur":null,"underline":null,"icon":{"top":133,"size":208},"title":{"top":357,"fontSize":46,"fontWeight":600}}}},"layout":{"structure":"header-footer","header":{"height":350},"footer":{"x":0,"y":1710,"width":1080,"height":210},"content":{"x":0,"y":350,"width":1080,"height":1360},"grid":{"columns":3,"rows":4,"gap":20,"cellWidth":309.33,"cellHeight":263.5},"pages":{"home":{"prompt":{"x":56,"y":396,"width":968,"height":98,"title":{"top":0,"width":700,"height":58,"fontSize":46,"fontWeight":600},"description":{"top":68,"width":700,"height":30,"fontSize":24,"fontWeight":400}},"grid":{"x":56,"y":522,"width":968,"height":1114}}}}},"properties":{"schemaVersion":{"type":"integer","example":2},"application":{"$ref":"#\/components\/schemas\/Application-application...read","description":"Champs de l'application, plus `orientation` (\"portrait\" ou \"landscape\") et `screen` ({width, height} en pixels)."},"theme":{"type":"object","nullable":true,"description":"Th\u00e8me r\u00e9solu c\u00f4t\u00e9 serveur, en pixels r\u00e9els : `variant`, `fontFamily`, `colors`, `shapes`, `tileColors`, `tiles`, etc. null si aucun th\u00e8me n'est choisi."},"layout":{"type":"object","description":"Structure de l'\u00e9cran : `structure` (\"header-footer\" en portrait, \"sidebar\" en paysage), `grid` et `pages` (g\u00e9om\u00e9trie de chaque page)."}}}}}},"404":{"description":"Application non trouv\u00e9e"}},"summary":"Config d'une appli","description":"Config d'une appli.\n\n**Application Kiosk** : la r\u00e9ponse suit le format de configuration Kiosk (`schemaVersion` 2) : `application` (champs de l'application, orientation, taille d'\u00e9cran), `theme` (style r\u00e9solu, en pixels r\u00e9els) et `layout` (structure et g\u00e9om\u00e9trie des \u00e9crans). Le d\u00e9tail des champs est dans `doc\/KIOSK_CONFIG_CONTRACT.md`. Avec une cl\u00e9 d'API (`X-API-KEY`), la borne re\u00e7oit toujours le th\u00e8me enregistr\u00e9.\n\n**Autres types d'application** : l'application s\u00e9rialis\u00e9e (groupe `application : read`), inchang\u00e9e.","parameters":[{"name":"token","in":"path","description":"token de l'appli'","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"key","in":"query","description":"Filter using a key to find applications","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[name]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false,"security":[{"apiKey":[]},{"kioskApiKey":[]}]},"parameters":[]},"\/api\/applications\/{id}":{"get":{"operationId":"getApplicationItem","tags":["Application"],"responses":{"200":{"description":"Application resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Application-application...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Application-application...read"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une appli","description":"Detail d'une appli","parameters":[{"name":"id","in":"path","description":"id de l'appli'","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putApplicationItem","tags":["Application"],"responses":{"200":{"description":"Application resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Application-application...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Application-application...read"}}},"links":{"GetApplicationItem":{"operationId":"getApplicationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/applications\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une application","description":"Modification d'une application","parameters":[{"name":"id","in":"path","description":"id de l'application'","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Application resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Application-application...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Application-application...edit"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/applications\/{id}\/statistics":{"get":{"operationId":"get_statisticsApplicationItem","tags":["Application"],"responses":{"200":{"description":"Application resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Application"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Application"}}}},"404":{"description":"Resource not found"}},"summary":"Statistiques d'une application (bornes, tuiles, informations pratiques)","description":"Disponibilit\u00e9 des bornes, fr\u00e9quentation des tuiles et des informations pratiques, fra\u00eecheur du contenu","parameters":[{"name":"id","in":"path","description":"id de l'application","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/applications\/{id}\/themes":{"get":{"operationId":"get_available_themesApplicationItem","tags":["Application"],"responses":{"200":{"description":"Application resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Application"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Application"}}}},"404":{"description":"Resource not found"}},"summary":"Th\u00e8mes disponibles pour une application (publics + r\u00e9serv\u00e9s \u00e0 son client)","description":"Liste des th\u00e8mes s\u00e9lectionnables dans le mode Kiosk de cette application","parameters":[{"name":"id","in":"path","description":"id de l'application","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/applicationsuser":{"get":{"operationId":"getApplicationsOfUserApplicationCollection","tags":["Application"],"responses":{"200":{"description":"Application collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Application-application...read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Application-application...read"}}}}}},"summary":"Applications de l'utilisateur","description":"Applications de l'utilisateur","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"key","in":"query","description":"Filter using a key to find applications","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[name]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/authentification":{"post":{"operationId":"getApiTokenUserItem","tags":["User"],"responses":{"201":{"description":"User resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/User"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/User"}}},"links":{"GetUserItem":{"operationId":"getUserItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/users\/{id}`."}}},"400":{"description":"API key manquante"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"200":{"description":"JWT g\u00e9n\u00e9r\u00e9 avec succ\u00e8s"},"401":{"description":"API key invalide"}},"summary":"R\u00e9cup\u00e9ration d'un JWT via une cl\u00e9 API","description":"Permet de r\u00e9cup\u00e9rer un token JWT pour un utilisateur \u00e0 partir de sa cl\u00e9 API.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"apiKey":{"type":"string"}},"required":["apiKey"]}}},"required":false},"deprecated":false},"parameters":[]},"\/api\/auto_creation_forms":{"get":{"operationId":"gETAutoCreationFormCollection","tags":["AutoCreationForm"],"responses":{"200":{"description":"AutoCreationForm collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...list"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...list"}}}}}},"summary":"Affiche tous les formulaires de cr\u00e9ation pour le client","description":"Affiche tous les formulaires pour le client","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"pOSTAutoCreationFormCollection","tags":["AutoCreationForm"],"responses":{"201":{"description":"AutoCreationForm resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'un formulaire de cr\u00e9ation pour le client","description":"Cr\u00e9ation d'un formulaire pour le client","parameters":[],"requestBody":{"description":"The new AutoCreationForm resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...post"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/auto_creation_forms\/generate\/{id}":{"get":{"operationId":"generateAutoCreationFormItem","tags":["AutoCreationForm"],"responses":{"200":{"description":"AutoCreationForm resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoLogin.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoLogin.read"}}}},"404":{"description":"Resource not found"}},"summary":"G\u00e9n\u00e8re les donn\u00e9es du formulaire","description":"G\u00e9n\u00e8re les donn\u00e9es du formulaire","parameters":[{"name":"id","in":"path","description":"id du form","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_forms\/reverse_state\/{id}":{"post":{"operationId":"reverse_stateAutoCreationFormItem","tags":["AutoCreationForm"],"responses":{"201":{"description":"AutoCreationForm resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Change l'\u00e9tat du formulaire \u00e0 l'\u00e9tape ant\u00e9rieure","description":"Change l'\u00e9tat du formulaire \u00e0 l'\u00e9tape ant\u00e9rieure et accepte un motif (reason)","parameters":[{"name":"id","in":"path","description":"id du formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"reason":{"type":"string","example":"Erreur dans la saisie du client"}},"required":["reason"]}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/auto_creation_forms\/send_login\/{id}":{"get":{"operationId":"send_loginAutoCreationFormItem","tags":["AutoCreationForm"],"responses":{"200":{"description":"AutoCreationForm resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}}}},"404":{"description":"Resource not found"}},"summary":"Envoie un mail avec le token pour le formulaire \u00e0 tous les mails renseign\u00e9s","description":"Envoie un mail avec le token pour le formulaire \u00e0 tous les mails renseign\u00e9s","parameters":[{"name":"id","in":"path","description":"id du form","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_forms\/send_mail\/{id}":{"get":{"operationId":"send_mailAutoCreationFormItem","tags":["AutoCreationForm"],"responses":{"200":{"description":"AutoCreationForm resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}}}},"404":{"description":"Resource not found"}},"summary":"Envoie un mail \u00e0 chaque utilisateur cr\u00e9\u00e9 par le formulaire","description":"Envoie un mail \u00e0 chaque utilisateur cr\u00e9\u00e9 par le formulaire","parameters":[{"name":"id","in":"path","description":"id du form","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_forms\/{id}":{"get":{"operationId":"gETAutoCreationFormItem","tags":["AutoCreationForm"],"responses":{"200":{"description":"AutoCreationForm resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...read"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'un formulaire de cr\u00e9ation d'un client","description":"Detail d'un formulaire de cr\u00e9ation d'un client","parameters":[{"name":"id","in":"path","description":"id du formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"pUTAutoCreationFormItem","tags":["AutoCreationForm"],"responses":{"200":{"description":"AutoCreationForm resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'un formulaire de creation d'un client","description":"Modification d'un formulaire de creation d'un client","parameters":[{"name":"id","in":"path","description":"id du formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated AutoCreationForm resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...edit"}}},"required":true},"deprecated":false},"delete":{"operationId":"dELETEAutoCreationFormItem","tags":["AutoCreationForm"],"responses":{"204":{"description":"AutoCreationForm resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'un formulaire de cr\u00e9ation","description":"Suppression d'un formulaire de cr\u00e9ation","parameters":[{"name":"id","in":"path","description":"id d'un formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_images":{"get":{"operationId":"gETAutoCreationImageCollection","tags":["AutoCreationImage"],"responses":{"200":{"description":"AutoCreationImage collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AutoCreationImage"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AutoCreationImage"}}}}}},"summary":"Liste des images d'auto creation","description":"Liste des images d'auto creation","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"pOSTAutoCreationImageCollection","tags":["AutoCreationImage"],"responses":{"201":{"description":"AutoCreationImage resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationImage"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationImage"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Sauvegarde d'une image pour la future application du client","description":"Sauvegarde d'une image pour la future application du client","parameters":[],"requestBody":{"description":"The new AutoCreationImage resource","content":{"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationImage"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/auto_creation_images\/{id}":{"get":{"operationId":"gETAutoCreationImageItem","tags":["AutoCreationImage"],"responses":{"200":{"description":"AutoCreationImage resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationImage-autoImage...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationImage-autoImage...read"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une image pour la future application du client","description":"Detail d'une image pour la future application du client","parameters":[{"name":"id","in":"path","description":"id de l'image","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_logins":{"get":{"operationId":"gETAutoCreationLoginCollection","tags":["AutoCreationLogin"],"responses":{"200":{"description":"AutoCreationLogin collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AutoCreationLogin-autoLogin.read.collection"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AutoCreationLogin-autoLogin.read.collection"}}}}}},"summary":"Afficher toutes les entit\u00e9s de connexion du formulaire","description":"Afficher toutes les entit\u00e9s de connexion du formulaire","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"pOSTAutoCreationLoginCollection","tags":["AutoCreationLogin"],"responses":{"201":{"description":"AutoCreationLogin resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'une entit\u00e9 de connexion au formulaire","description":"Cr\u00e9ation d'une entit\u00e9 de connexion au formulaire","parameters":[],"requestBody":{"description":"The new AutoCreationLogin resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin-autoLogin.post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin-autoLogin.post"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/auto_creation_logins\/send_mail\/{id}":{"get":{"operationId":"send_mailAutoCreationLoginItem","tags":["AutoCreationLogin"],"responses":{"200":{"description":"AutoCreationLogin resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin"}}}},"404":{"description":"Resource not found"}},"summary":"Envoie un mail avec les token pour acc\u00e9der au formulaire \u00e0 l'adresse mail renseign\u00e9","description":"Envoie un mail avec les token pour acc\u00e9der au formulaire \u00e0 l'adresse mail renseign\u00e9","parameters":[{"name":"id","in":"path","description":"id d'un formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_logins\/{id}":{"get":{"operationId":"gETAutoCreationLoginItem","tags":["AutoCreationLogin"],"responses":{"200":{"description":"AutoCreationLogin resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin-autoLogin.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin-autoLogin.read"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une entit\u00e9 de connexion au formulaire","description":"Detail d'une entit\u00e9 de connexion au formulaire","parameters":[{"name":"id","in":"path","description":"id du login","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"pUTAutoCreationLoginItem","tags":["AutoCreationLogin"],"responses":{"200":{"description":"AutoCreationLogin resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une entit\u00e9 de connexion au formulaire","description":"Modification d'une entit\u00e9 de connexion au formulaire","parameters":[{"name":"id","in":"path","description":"id du login","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated AutoCreationLogin resource","content":{"application\/json":{"schema":{}},"text\/html":{"schema":{}}},"required":true},"deprecated":false},"delete":{"operationId":"dELETEAutoCreationLoginItem","tags":["AutoCreationLogin"],"responses":{"204":{"description":"AutoCreationLogin resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'une enit\u00e9 de connexion au formulaire","description":"Suppression d'une entit\u00e9 de connexion au formulaire","parameters":[{"name":"id","in":"path","description":"id d'un formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_panels":{"post":{"operationId":"pOSTAutoCreationPanelCollection","tags":["AutoCreationPanel"],"responses":{"201":{"description":"AutoCreationPanel resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'un formulaire pour les Panneaux","description":"Cr\u00e9ation d'un formulaire pour les Panneaux","parameters":[],"requestBody":{"description":"The new AutoCreationPanel resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel-autoPanel...post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel-autoPanel...post"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/auto_creation_panels\/{id}":{"get":{"operationId":"gETAutoCreationPanelItem","tags":["AutoCreationPanel"],"responses":{"200":{"description":"AutoCreationPanel resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel-autoPanel...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel-autoPanel...read"}}}},"404":{"description":"Resource not found"}},"summary":"D\u00e9tail d'un formulaire de cr\u00e9ation de panneau","description":"D\u00e9tail d'un formulaire de cr\u00e9ation de panneau","parameters":[{"name":"id","in":"path","description":"id du formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"pUTAutoCreationPanelItem","tags":["AutoCreationPanel"],"responses":{"200":{"description":"AutoCreationPanel resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'un formulaire de creation d'un panneau","description":"Modification d'un formulaire de creation d'un panneau","parameters":[{"name":"id","in":"path","description":"id du formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated AutoCreationPanel resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel-autoPanel...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel-autoPanel...edit"}}},"required":true},"deprecated":false},"delete":{"operationId":"dELETEAutoCreationPanelItem","tags":["AutoCreationPanel"],"responses":{"204":{"description":"AutoCreationPanel resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'un formulaire de panneau","description":"Suppression d'un formulaire de panneau","parameters":[{"name":"id","in":"path","description":"id d'un formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_users":{"post":{"operationId":"pOSTAutoCreationUserCollection","tags":["AutoCreationUser"],"responses":{"201":{"description":"AutoCreationUser resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'un formulaire pour les comptes utilisateurs","description":"Cr\u00e9ation d'un formulaire pour les comptes utilisateurs","parameters":[],"requestBody":{"description":"The new AutoCreationUser resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser-autoUser...post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser-autoUser...post"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/auto_creation_users\/send_mail\/{id}":{"get":{"operationId":"send_mailAutoCreationUserItem","tags":["AutoCreationUser"],"responses":{"200":{"description":"AutoCreationUser resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser"}}}},"404":{"description":"Resource not found"}},"summary":"Envoie un mail \u00e0 l'utilisateur qui a \u00e9t\u00e9 cr\u00e9\u00e9","description":"Envoie un mail \u00e0 l'utilisateur qui a \u00e9t\u00e9 cr\u00e9\u00e9","parameters":[{"name":"id","in":"path","description":"id d'un utilisateur","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_users\/{id}":{"get":{"operationId":"gETAutoCreationUserItem","tags":["AutoCreationUser"],"responses":{"200":{"description":"AutoCreationUser resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser-autoUser...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser-autoUser...read"}}}},"404":{"description":"Resource not found"}},"summary":"D\u00e9tail d'un formulaire de cr\u00e9ation d'utilisateur","description":"D\u00e9tail d'un formulaire de cr\u00e9ation d'utilisateur","parameters":[{"name":"id","in":"path","description":"id du formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"pUTAutoCreationUserItem","tags":["AutoCreationUser"],"responses":{"200":{"description":"AutoCreationUser resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'un formulaire de creation d'un utilisateur","description":"Modification d'un formulaire de creation d'un utilisateur","parameters":[{"name":"id","in":"path","description":"id du formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated AutoCreationUser resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser-autoUser...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser-autoUser...edit"}}},"required":true},"deprecated":false},"delete":{"operationId":"dELETEAutoCreationUserItem","tags":["AutoCreationUser"],"responses":{"204":{"description":"AutoCreationUser resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'un formulaire de compte utilisateur","description":"Suppression d'un formulaire de compte utilisateur","parameters":[{"name":"id","in":"path","description":"id d'un formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/borne_logs":{"post":{"operationId":"postBorneLogCollection","tags":["BorneLog"],"responses":{"201":{"description":"BorneLog resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BorneLog"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/BorneLog"}}},"links":{"GetBorneLogItem":{"operationId":"getBorneLogItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/borne_logs\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Ajout d'un log de borne","description":"Remonte un log texte (type + message) et\/ou un fichier. Appel\u00e9 directement par la borne elle-m\u00eame, authentifi\u00e9e avec son secret propre obtenu par appairage (headers X-BORNE-IDENTIFIANT \/ X-BORNE-SECRET) : l'identifiant est implicite.","parameters":[],"requestBody":{"description":"","content":{"multipart\/form-data":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"Cat\u00e9gorie du log (info, error, stats...)"},"message":{"type":"string","description":"Message texte du log"},"file":{"type":"string","format":"binary","description":"Fichier de log"}}}}},"required":false},"deprecated":false,"security":[]},"parameters":[]},"\/api\/borne_logs\/{id}":{"get":{"operationId":"getBorneLogItem","tags":["BorneLog"],"responses":{"200":{"description":"BorneLog resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BorneLog-borne_log...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/BorneLog-borne_log...read"}}}},"404":{"description":"Resource not found"}},"summary":"D\u00e9tail d'un log de borne","description":"D\u00e9tail d'un log de borne","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/borne_software_packages":{"get":{"operationId":"getBorneSoftwarePackageCollection","tags":["BorneSoftwarePackage"],"responses":{"200":{"description":"BorneSoftwarePackage collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/BorneSoftwarePackage-borne_software_package...read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/BorneSoftwarePackage-borne_software_package...read"}}}}}},"summary":"Liste des paquets de mise \u00e0 jour borne","description":"Liste des paquets de mise \u00e0 jour d\u00e9pos\u00e9s (pour choisir une version \u00e0 d\u00e9ployer via l'outil de mise \u00e0 jour de masse).","parameters":[],"deprecated":false},"parameters":[]},"\/api\/bornes":{"get":{"operationId":"getBorneCollection","tags":["Borne"],"responses":{"200":{"description":"Borne collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Borne-borne...read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Borne-borne...read"}}}}}},"summary":"Liste des bornes","description":"Liste des bornes","parameters":[],"deprecated":false},"post":{"operationId":"postBorneCollection","tags":["Borne"],"responses":{"201":{"description":"Borne resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Borne-borne...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Borne-borne...read"}}},"links":{"GetBorneItem":{"operationId":"getBorneItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/bornes\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'une borne","description":"Cr\u00e9ation d'une borne","parameters":[],"requestBody":{"description":"The new Borne resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Borne-borne...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Borne-borne...edit"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/bornes\/infos":{"post":{"operationId":"infosBorneCollection","tags":["Borne"],"responses":{"204":{"description":"Borne resource created","content":{"application\/json":{"schema":{}},"text\/html":{"schema":{}}},"links":{"GetBorneItem":{"operationId":"getBorneItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/bornes\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Remont\u00e9e d'informations d'une borne (version install\u00e9e)","description":"Permet \u00e0 une borne appair\u00e9e de d\u00e9clarer la version actuellement install\u00e9e de son application Kiosk. Appel\u00e9 par la borne elle-m\u00eame, authentifi\u00e9e avec son secret propre obtenu par appairage (headers X-BORNE-IDENTIFIANT \/ X-BORNE-SECRET), typiquement au d\u00e9marrage de l'application et\/ou apr\u00e8s chaque mise \u00e0 jour. Ind\u00e9pendant du ping, qui reste volontairement sans corps de requ\u00eate.","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"version":{"type":"string","description":"Version actuellement install\u00e9e de l'application Kiosk","example":"1.4.2"}}}}},"required":false},"deprecated":false,"security":[]},"parameters":[]},"\/api\/bornes\/mass_update_software_package":{"post":{"operationId":"massUpdateSoftwarePackageBorneCollection","tags":["Borne"],"responses":{"204":{"description":"Borne resource created","content":{"application\/json":{"schema":{}},"text\/html":{"schema":{}}},"links":{"GetBorneItem":{"operationId":"getBorneItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/bornes\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"200":{"description":"Bornes effectivement mises \u00e0 jour (et celles ignor\u00e9es car d\u00e9j\u00e0 \u00e0 jour, ou hors p\u00e9rim\u00e8tre)","content":{"application\/json":{"schema":{"type":"object","example":{"updated":[12,14],"skipped":[13]}}}}}},"summary":"Assignation en masse d'un paquet de mise \u00e0 jour","description":"Assigne un BorneSoftwarePackage (champ pendingSoftwarePackage) \u00e0 plusieurs bornes d'un coup, pour d\u00e9ployer une version sur tout ou partie du parc. Ne traite que les bornes du p\u00e9rim\u00e8tre de l'utilisateur (BorneRepository::createIndexQueryBuilder) et dont la version install\u00e9e diff\u00e8re d\u00e9j\u00e0 de la version cibl\u00e9e. Limit\u00e9 \u00e0 500 bornes par appel.","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"borneIds":{"type":"array","items":{"type":"integer"},"description":"Identifiants des bornes cibl\u00e9es"},"borneSoftwarePackageId":{"type":"integer","description":"Identifiant du paquet \u00e0 d\u00e9ployer"}}}}},"required":false},"deprecated":false},"parameters":[]},"\/api\/bornes\/pair":{"post":{"operationId":"pairBorneCollection","tags":["Borne"],"responses":{"204":{"description":"Borne resource created","content":{"application\/json":{"schema":{}},"text\/html":{"schema":{}}},"links":{"GetBorneItem":{"operationId":"getBorneItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/bornes\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Appairage d'une borne","description":"\u00c9change un code d'appairage \u00e0 usage unique contre le secret d\u00e9finitif de la borne. Proc\u00e9dure \"zero-touch\" (sans QR code) :\n\n1. Un administrateur cr\u00e9e la borne dans le back-office et lui attribue une application.\n2. Il g\u00e9n\u00e8re un code d'appairage \u00e0 usage unique depuis la fiche de la borne (bouton \"G\u00e9n\u00e9rer un code d'appairage\"), valable 24h.\n3. Ce code est saisi manuellement dans l'\u00e9cran d'installation\/configuration de la borne, au premier d\u00e9marrage (aucune cl\u00e9 API \u00e0 saisir).\n4. La borne appelle cet endpoint avec ce code et re\u00e7oit en retour son propre secret, \u00e0 conserver de fa\u00e7on s\u00e9curis\u00e9e : il n'est plus jamais renvoy\u00e9 par la suite.\n5. Elle utilise ensuite ce secret (jamais la cl\u00e9 API de l'application) pour pinger et remonter ses logs (POST \/api\/bornes\/ping, POST \/api\/borne_logs).\n\nUn code inconnu, expir\u00e9, d\u00e9j\u00e0 consomm\u00e9, ou une borne sans application attribu\u00e9e renvoient tous la m\u00eame erreur g\u00e9n\u00e9rique (HTTP 400), afin qu'il soit impossible de deviner si un code existe. R\u00e9voquer une borne depuis le back-office invalide imm\u00e9diatement son secret courant, sans effet sur l'application ni sur les autres bornes.","parameters":[],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"pairingCode":{"type":"string","description":"Code d'appairage \u00e0 usage unique"}}}}},"required":false},"deprecated":false},"parameters":[]},"\/api\/bornes\/ping":{"post":{"operationId":"pingBorneCollection","tags":["Borne"],"responses":{"204":{"description":"Borne resource created","content":{"application\/json":{"schema":{}},"text\/html":{"schema":{}}},"links":{"GetBorneItem":{"operationId":"getBorneItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/bornes\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"200":{"description":"Statut de la borne","content":{"application\/json":{"schema":{"type":"object","example":{"id":42,"active":true,"update":{"version":"1.5.0","downloadUrl":"https:\/\/centoweb4.example\/api\/bornes\/update_package\/download","sha256":"9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08","sizeBytes":58720256,"releaseNotes":"Correctif \u00e9cran de veille"}}}}}}},"summary":"Ping d'une borne","description":"Signale qu'une borne est active. Appel\u00e9 directement par la borne elle-m\u00eame, authentifi\u00e9e avec son secret propre obtenu par appairage (headers X-BORNE-IDENTIFIANT \/ X-BORNE-SECRET) : l'identifiant est implicite, aucun corps de requ\u00eate n'est n\u00e9cessaire.\n\nPorte aussi l'annonce d'une \u00e9ventuelle mise \u00e0 jour logicielle en attente (`update`, `null` si aucune) : version disponible, URL de t\u00e9l\u00e9chargement (GET \/api\/bornes\/update_package\/download, authentifi\u00e9e par les m\u00eames headers) et SHA-256 \u00e0 v\u00e9rifier apr\u00e8s t\u00e9l\u00e9chargement.","parameters":[],"requestBody":{"description":"The new Borne resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Borne"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Borne"}}},"required":true},"deprecated":false,"security":[]},"parameters":[]},"\/api\/bornes\/update_package\/download":{"get":{"operationId":"downloadUpdateBorneCollection","tags":["Borne"],"responses":{"200":{"description":"Fichier .btu"},"404":{"description":"Aucune mise \u00e0 jour en attente pour cette borne"}},"summary":"T\u00e9l\u00e9chargement du paquet de mise \u00e0 jour (.btu)","description":"T\u00e9l\u00e9charge le paquet de mise \u00e0 jour assign\u00e9 \u00e0 la borne (Borne::pendingSoftwarePackage), si son installation n'a pas encore \u00e9t\u00e9 confirm\u00e9e par \/api\/bornes\/infos. Appel\u00e9 par la borne elle-m\u00eame, authentifi\u00e9e avec son secret propre (headers X-BORNE-IDENTIFIANT \/ X-BORNE-SECRET), typiquement pendant la veille : la version et le SHA-256 \u00e0 v\u00e9rifier sont communiqu\u00e9s au pr\u00e9alable dans la r\u00e9ponse de POST \/api\/bornes\/ping.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false,"security":[]},"parameters":[]},"\/api\/bornes\/{id}":{"get":{"operationId":"getBorneItem","tags":["Borne"],"responses":{"200":{"description":"Borne resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Borne-borne...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Borne-borne...read"}}}},"404":{"description":"Resource not found"}},"summary":"D\u00e9tail d'une borne","description":"D\u00e9tail d'une borne","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putBorneItem","tags":["Borne"],"responses":{"200":{"description":"Borne resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Borne-borne...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Borne-borne...read"}}},"links":{"GetBorneItem":{"operationId":"getBorneItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/bornes\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une borne","description":"Modification d'une borne (dont l'attribution de l'application)","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Borne resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Borne-borne...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Borne-borne...edit"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteBorneItem","tags":["Borne"],"responses":{"204":{"description":"Borne resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'une borne","description":"Suppression d'une borne","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/categoriesinformationsmallclient\/{public}":{"get":{"operationId":"getCategoriesCategoryInformationCollection","tags":["CategoryInformation"],"responses":{"200":{"description":"CategoryInformation collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...read"}}}}}},"summary":"Categories d'information","description":"Categories d'information","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_informations":{"post":{"operationId":"postCategoryInformationCollection","tags":["CategoryInformation"],"responses":{"201":{"description":"CategoryInformation resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation"}}},"links":{"GetCategoryInformationItem":{"operationId":"getCategoryInformationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_informations\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'une cat\u00e9gorie information","description":"Cr\u00e9ation d'une cat\u00e9gorie information","parameters":[],"requestBody":{"description":"The new CategoryInformation resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...create"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...create"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/category_informations\/{id}":{"get":{"operationId":"getCategoryInformationItem","tags":["CategoryInformation"],"responses":{"200":{"description":"CategoryInformation resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...read"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une cat\u00e9gorie information","description":"Detail d'une cat\u00e9gorie information","parameters":[{"name":"id","in":"path","description":"id de la cat\u00e9gorie'","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putCategoryInformationItem","tags":["CategoryInformation"],"responses":{"200":{"description":"CategoryInformation resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation"}}},"links":{"GetCategoryInformationItem":{"operationId":"getCategoryInformationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_informations\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une cat\u00e9gorie information","description":"Modification d'une cat\u00e9gorie information","parameters":[{"name":"id","in":"path","description":"id d une cat\u00e9gorie information'","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated CategoryInformation resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...edit"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteCategoryInformationItem","tags":["CategoryInformation"],"responses":{"204":{"description":"CategoryInformation resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppr\u00e9ssion d'une cat\u00e9gorie information","description":"Suppr\u00e9ssion d'une cat\u00e9gorie information","parameters":[{"name":"id","in":"path","description":"id d\\'une cat\u00e9gorie information'","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_message_not_on_my_playlist\/{id}":{"get":{"operationId":"getCategoryMessageNotOnMyPlaylistCategoryMessageCollection","tags":["CategoryMessage"],"responses":{"200":{"description":"CategoryMessage collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryMessage"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryMessage"}}}}}},"summary":"Cat\u00e9gories de message non pr\u00e9sentes sur la playlist","description":"Cat\u00e9gories de message non pr\u00e9sentes sur la playlist","parameters":[{"name":"id","in":"path","description":"id de la playlist","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_message_sleep":{"get":{"operationId":"getCategoryMessageSleepCategoryMessageCollection","tags":["CategoryMessage"],"responses":{"200":{"description":"CategoryMessage collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryMessage"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryMessage"}}}}}},"summary":"Cat\u00e9gories de message pour le mode veille","description":"Cat\u00e9gories de message pour le mode veille","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_messages":{"get":{"operationId":"getCategoryMessageCollection","tags":["CategoryMessage"],"responses":{"200":{"description":"CategoryMessage collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryMessage-categories...list"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryMessage-categories...list"}}}}}},"summary":"Liste des cat\u00e9gories de mesages","description":"Liste des cat\u00e9gories de mesages","parameters":[],"deprecated":false},"parameters":[]},"\/api\/category_messages\/{id}":{"get":{"operationId":"getCategoryMessageItem","tags":["CategoryMessage"],"responses":{"200":{"description":"CategoryMessage resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryMessage"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryMessage"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une cat\u00e9gorie de message","description":"Information concernant une cat\u00e9gorie de message","parameters":[{"name":"id","in":"path","description":"id de la categoryMessage","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_push_notifications":{"post":{"operationId":"postCategoryPushNotificationCollection","tags":["CategoryPushNotification"],"responses":{"201":{"description":"CategoryPushNotification resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification"}}},"links":{"GetCategoryPushNotificationItem":{"operationId":"getCategoryPushNotificationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_push_notifications\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'une cat\u00e9gorie push notification","description":"Cr\u00e9ation d'une cat\u00e9gorie push notification","parameters":[],"requestBody":{"description":"The new CategoryPushNotification resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...create"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...create"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/category_push_notifications\/{id}":{"get":{"operationId":"getCategoryPushNotificationItem","tags":["CategoryPushNotification"],"responses":{"200":{"description":"CategoryPushNotification resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...read"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une cat\u00e9gorie push notification","description":"Detail d'une cat\u00e9gorie push notification","parameters":[{"name":"id","in":"path","description":"id de la categorie push notification","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putCategoryPushNotificationItem","tags":["CategoryPushNotification"],"responses":{"200":{"description":"CategoryPushNotification resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification"}}},"links":{"GetCategoryPushNotificationItem":{"operationId":"getCategoryPushNotificationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_push_notifications\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une cat\u00e9gorie push notification","description":"Modification d'une cat\u00e9gorie push notification","parameters":[{"name":"id","in":"path","description":"id d une push notification","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated CategoryPushNotification resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...edit"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteCategoryPushNotificationItem","tags":["CategoryPushNotification"],"responses":{"204":{"description":"CategoryPushNotification resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppr\u00e9ssion d'une cat\u00e9gorie push notification","description":"Suppr\u00e9ssion d'une cat\u00e9gorie push notification","parameters":[{"name":"id","in":"path","description":"id d\\'une cat\u00e9gorie push notification","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_push_notifications_application\/{token}\/{public}":{"get":{"operationId":"getCategoryPushNotificationFromApplicationCategoryPushNotificationCollection","tags":["CategoryPushNotification"],"responses":{"200":{"description":"CategoryPushNotification collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...read"}}}}}},"summary":"Token application","description":"Token application","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_reporting_link_to_applications":{"get":{"operationId":"getCategoryReportingLinkToApplicationCollection","tags":["CategoryReportingLinkToApplication"],"responses":{"200":{"description":"CategoryReportingLinkToApplication collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...list"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...list"}}}}}},"summary":"Liste des cat\u00e9gories de signalement li\u00e9 \u00e0 l'application","description":"Liste des cat\u00e9gories de signalement li\u00e9 \u00e0 l'application","parameters":[{"name":"application.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"application.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false}],"deprecated":false},"post":{"operationId":"postCategoryReportingLinkToApplicationCollection","tags":["CategoryReportingLinkToApplication"],"responses":{"201":{"description":"CategoryReportingLinkToApplication resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...post"}}},"links":{"GetCategoryReportingLinkToApplicationItem":{"operationId":"getCategoryReportingLinkToApplicationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_reporting_link_to_applications\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'un nouveau cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","description":"Cr\u00e9ation d'un nouveau cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","parameters":[],"requestBody":{"description":"The new CategoryReportingLinkToApplication resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...post"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/category_reporting_link_to_applications\/{id}":{"get":{"operationId":"getCategoryReportingLinkToApplicationItem","tags":["CategoryReportingLinkToApplication"],"responses":{"200":{"description":"CategoryReportingLinkToApplication resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication"}}}},"404":{"description":"Resource not found"}},"summary":"Information concernant une cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","description":"Information concernant une cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","parameters":[{"name":"id","in":"path","description":"id de la cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putCategoryReportingLinkToApplicationItem","tags":["CategoryReportingLinkToApplication"],"responses":{"200":{"description":"CategoryReportingLinkToApplication resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...put"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...put"}}},"links":{"GetCategoryReportingLinkToApplicationItem":{"operationId":"getCategoryReportingLinkToApplicationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_reporting_link_to_applications\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","description":"Modification d'une cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","parameters":[{"name":"id","in":"path","description":"id de la cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated CategoryReportingLinkToApplication resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...put"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...put"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteCategoryReportingLinkToApplicationItem","tags":["CategoryReportingLinkToApplication"],"responses":{"204":{"description":"CategoryReportingLinkToApplication resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'une cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","description":"Suppression d'une cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","parameters":[{"name":"id","in":"path","description":"id de la cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_reportings":{"get":{"operationId":"getCategoryReportingCollection","tags":["CategoryReporting"],"responses":{"200":{"description":"CategoryReporting collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryReporting-reporting...getList"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryReporting-reporting...getList"}}}}}},"summary":"Liste des cat\u00e9gories de signalement","description":"Liste des cat\u00e9gories de signalement","parameters":[],"deprecated":false},"post":{"operationId":"postCategoryReportingCollection","tags":["CategoryReporting"],"responses":{"201":{"description":"CategoryReporting resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}}},"links":{"GetCategoryReportingItem":{"operationId":"getCategoryReportingItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_reportings\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'un nouveau cat\u00e9gorie de signalement","description":"Cr\u00e9ation d'un nouveau cat\u00e9gorie de signalement","parameters":[],"requestBody":{"description":"The new CategoryReporting resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/category_reportings\/{id}":{"get":{"operationId":"getCategoryReportingItem","tags":["CategoryReporting"],"responses":{"200":{"description":"CategoryReporting resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}}}},"404":{"description":"Resource not found"}},"summary":"Information concernant une cat\u00e9gorie de signalement","description":"Information concernant une cat\u00e9gorie de signalement","parameters":[{"name":"id","in":"path","description":"id de la cat\u00e9gorie de signalement","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putCategoryReportingItem","tags":["CategoryReporting"],"responses":{"200":{"description":"CategoryReporting resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}}},"links":{"GetCategoryReportingItem":{"operationId":"getCategoryReportingItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_reportings\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une cat\u00e9gorie de signalement","description":"Modification d'une cat\u00e9gorie de signalement","parameters":[{"name":"id","in":"path","description":"id de la cat\u00e9gorie de signalement","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated CategoryReporting resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting-category_reporting...put"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting-category_reporting...put"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteCategoryReportingItem","tags":["CategoryReporting"],"responses":{"204":{"description":"CategoryReporting resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'une cat\u00e9gorie de signalement","description":"Suppression d'une cat\u00e9gorie de signalement","parameters":[{"name":"id","in":"path","description":"id de la cat\u00e9gorie de signalement","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/change_enabled\/{message_playlist_id}":{"put":{"operationId":"putEnabledMessagePlaylistItem","tags":["MessagePlaylist"],"responses":{"200":{"description":"MessagePlaylist resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist-mp...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist-mp...read"}}},"links":{"GetMessagePlaylistItem":{"operationId":"getMessagePlaylistItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/message_playlists\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification de la validit\u00e9 d\"un message sur une playlist","description":"Modification de la validit\u00e9 d\"un message sur une playlist","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated MessagePlaylist resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/change_position\/{message_playlist_id}":{"put":{"operationId":"putPositionMessagePlaylistItem","tags":["MessagePlaylist"],"responses":{"200":{"description":"MessagePlaylist resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist-mp...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist-mp...read"}}},"links":{"GetMessagePlaylistItem":{"operationId":"getMessagePlaylistItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/message_playlists\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification de la position","description":"Modification de la position","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated MessagePlaylist resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/change_position_playlist_player\/{playlist_player_id}":{"put":{"operationId":"putPositionPlaylistPlayerItem","tags":["PlaylistPlayer"],"responses":{"200":{"description":"PlaylistPlayer resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/PlaylistPlayer-mp...read_playlist...item_playlist...list"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/PlaylistPlayer-mp...read_playlist...item_playlist...list"}}},"links":{"GetPlaylistPlayerItem":{"operationId":"getPlaylistPlayerItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/playlist_players\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification de la position d'une playlist sur un player","description":"Modification de la position d'une playlist sur un player","parameters":[{"name":"playlist_player_id","in":"path","description":"id du playlistPlayer","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false},{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated PlaylistPlayer resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/PlaylistPlayer"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/PlaylistPlayer"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/check_images_in_messages":{"post":{"operationId":"check_images_in_messagesImageMessageCollection","tags":["ImageMessage"],"responses":{"201":{"description":"ImageMessage resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ImageMessage-image...list"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ImageMessage-image...list"}}},"links":{"GetImageMessageItem":{"operationId":"getImageMessageItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/image_messages\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"renvoie les images d'une liste donn\u00e9e, qui sont pr\u00e9sents dans un message","description":"renvoie les images d'une liste donn\u00e9e, qui sont pr\u00e9sents dans un message","parameters":[],"requestBody":{"description":"The new ImageMessage resource","content":{"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/ImageMessage"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/check_videos_in_messages":{"post":{"operationId":"check_videos_in_messagesVideoCollection","tags":["Video"],"responses":{"201":{"description":"Video resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Video-video...list"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Video-video...list"}}},"links":{"GetVideoItem":{"operationId":"getVideoItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/videos\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"renvoie les vid\u00e9os d'une liste donn\u00e9e, qui sont pr\u00e9sents dans un message","description":"renvoie les images d'une liste donn\u00e9e, qui sont pr\u00e9sents dans un message","parameters":[],"requestBody":{"description":"The new Video resource","content":{"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Video"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/clients":{"get":{"operationId":"getClientCollection","tags":["Client"],"responses":{"200":{"description":"Client collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Client"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Client"}}}}}},"summary":"Liste des clients","description":"Liste des clients","parameters":[],"deprecated":false},"parameters":[]},"\/api\/clients\/{id}":{"get":{"operationId":"getClientItem","tags":["Client"],"responses":{"200":{"description":"Client resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Client"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Client"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'un client","description":"Information concernant un client","parameters":[{"name":"id","in":"path","description":"id du client","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/clock_elements":{"post":{"operationId":"postClockElementCollection","tags":["ClockElement"],"responses":{"201":{"description":"ClockElement resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ClockElement-message...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ClockElement-message...read"}}},"links":{"GetClockElementItem":{"operationId":"getClockElementItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/clock_elements\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'un nouveau clockElement","description":"Cr\u00e9ation d'un nouveau clockElement","parameters":[],"requestBody":{"description":"The new ClockElement resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ClockElement"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ClockElement"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/clock_elements\/{id}":{"get":{"operationId":"getClockElementItem","tags":["ClockElement"],"responses":{"200":{"descriptio
[...]
